> ## Documentation Index
> Fetch the complete documentation index at: https://docs.calseta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Alert Metrics



## OpenAPI

````yaml GET /v1/metrics/alerts
openapi: 3.1.0
info:
  title: Calseta
  description: SOC data platform for security agent consumption
  version: dev
servers: []
security: []
paths:
  /v1/metrics/alerts:
    get:
      tags:
        - metrics
      summary: Get Alert Metrics
      operationId: get_alert_metrics_v1_metrics_alerts_get
      parameters:
        - name: from_time
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: From Time
        - name: to_time
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: To Time
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DataResponse_AlertMetricsResponse_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    DataResponse_AlertMetricsResponse_:
      properties:
        data:
          $ref: '#/components/schemas/AlertMetricsResponse'
        meta:
          additionalProperties: true
          type: object
          title: Meta
      type: object
      required:
        - data
      title: DataResponse[AlertMetricsResponse]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AlertMetricsResponse:
      properties:
        period_from:
          type: string
          format: date-time
          title: Period From
        period_to:
          type: string
          format: date-time
          title: Period To
        total_alerts:
          type: integer
          title: Total Alerts
        alerts_by_status:
          additionalProperties:
            type: integer
          type: object
          title: Alerts By Status
        alerts_by_severity:
          additionalProperties:
            type: integer
          type: object
          title: Alerts By Severity
        alerts_by_source:
          additionalProperties:
            type: integer
          type: object
          title: Alerts By Source
        alerts_over_time:
          items:
            additionalProperties: true
            type: object
          type: array
          title: Alerts Over Time
        false_positive_rate:
          type: number
          title: False Positive Rate
        mean_time_to_enrich:
          anyOf:
            - type: number
            - type: 'null'
          title: Mean Time To Enrich
        mean_time_to_detect:
          anyOf:
            - type: number
            - type: 'null'
          title: Mean Time To Detect
        mean_time_to_acknowledge:
          anyOf:
            - type: number
            - type: 'null'
          title: Mean Time To Acknowledge
        mean_time_to_triage:
          anyOf:
            - type: number
            - type: 'null'
          title: Mean Time To Triage
        mean_time_to_conclusion:
          anyOf:
            - type: number
            - type: 'null'
          title: Mean Time To Conclusion
        active_alerts_by_severity:
          additionalProperties:
            type: integer
          type: object
          title: Active Alerts By Severity
        top_detection_rules:
          items:
            additionalProperties: true
            type: object
          type: array
          title: Top Detection Rules
        enrichment_coverage:
          type: number
          title: Enrichment Coverage
      type: object
      required:
        - period_from
        - period_to
        - total_alerts
        - alerts_by_status
        - alerts_by_severity
        - alerts_by_source
        - alerts_over_time
        - false_positive_rate
        - mean_time_to_enrich
        - mean_time_to_detect
        - mean_time_to_acknowledge
        - mean_time_to_triage
        - mean_time_to_conclusion
        - active_alerts_by_severity
        - top_detection_rules
        - enrichment_coverage
      title: AlertMetricsResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````